commit:     e20ad1417bda20ee9510e984d671c471ec403863
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 29 02:18:12 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jul 29 02:41:31 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e20ad141

dev-util/pixi: Bump to 0.50.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-util/pixi/Manifest           |   2 +
 dev-util/pixi/pixi-0.50.2.ebuild | 135 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 137 insertions(+)

diff --git a/dev-util/pixi/Manifest b/dev-util/pixi/Manifest
index 1650e78cef9e..040af13d29fd 100644
--- a/dev-util/pixi/Manifest
+++ b/dev-util/pixi/Manifest
@@ -2,6 +2,8 @@ DIST pixi-0.49.0-crates.tar.xz 73026244 BLAKE2B 
65d64e8b52f4845aaf9aa282a1601cec
 DIST pixi-0.49.0.tar.gz 9705004 BLAKE2B 
64fd62a7e31d781d361fad671033f704c71f2778cd95b60e65277891b5e1d25d78a6a8147bf052dc7e6d5ad93acecc50cd67c4deb95d63240f541858a83415b6
 SHA512 
10fe30eeeea7e02bc95f67555ece0e0194a619795f4a0a434a98d264803dc595d7f02d9c2b72d4a2cb0541656ac4f1b7319c9685f395d99c9196ff0075089c21
 DIST pixi-0.50.0-crates.tar.xz 58955228 BLAKE2B 
89621246e972676dbf042ddc386d4d4914f1a1eb8a29d659775ad4214fbcdf5356071aacbd88314b81b200b33cc0ccdfcf4eb9ac4b4de925a20e75a91875bec1
 SHA512 
8edf4f402c4390204a9370cf1e18874bb7416e06c8b686065ca7e0dcd9884662341767c3c24066605513952e5672da3ad0a2eb4c6dbe31001e3e409ac0506466
 DIST pixi-0.50.0.tar.gz 9778285 BLAKE2B 
101b883205a6466dd759abbf1417df28c1f9490259c6d1e972473c0d245caa8b8792bdc6dd05de0dab158770bdd8e989a35beb4594719d23a6aa323d8c285791
 SHA512 
4245e1b151c36e241879a2c763714e6faf8aa84d6ab2f193aa4d24d8ba4a849ba544750d3904b8eeddf365b6dc929611f7cc62aa9601546f92d529df1ab9857b
+DIST pixi-0.50.2-crates.tar.xz 61190812 BLAKE2B 
85f2e4a578da94c3b60ef1a11a2d4e79a69f6749fa78efd4bb535871c4f52e72aebec45bfe5dfae495cba3cd8ede06843ec5e05083ff63a893ab888de5c6b804
 SHA512 
7100bd304596df3db3864ba2ef3b23951a9961809035b9f67f9fc67f1e77f456cd3b0555d8ed4d749fc6938e7f4e5f1fe61886d243b3c79007b9ae6a6e311d68
+DIST pixi-0.50.2.tar.gz 9791258 BLAKE2B 
ebe111073a11453571f812d9fd9146687331e9b625fd52fd310b930b47b074a16a4f17b424d3a4015df3b7d67c6602c23be42ef2c0d5b210950623ba9b6c0925
 SHA512 
036c1f4741cfccf25fd8b20eb72cab73865eab4afb79236ab21047aa455ebb8afbf9c83ad4e9087eb6020a6d4cf5ba886c19ddbcb3a92867bce5568ecac4bb3b
 DIST pubgrub-06ec5a5f59ffaeb6cf5079c6cb184467da06c9db.gh.tar.gz 99881 BLAKE2B 
5fcc2d1a06eb44351773081de4f616c93301eb2fe71b0c6f7b95779ec4bd9bb6cccc702a87a6399b0674711302a19de3a96fa31044660430fd74ff549000ad25
 SHA512 
3f0b18aecbc73fee91fc7de9f10d240ddc06c836fa2f116c1f007dd7818d099e6aea1852ca0b8d1a26ac19aac896535dba1a6298851a65515b553810c6245784
 DIST reqwest-middleware-ad8b9d332d1773fde8b4cd008486de5973e0a3f8.gh.tar.gz 
41975 BLAKE2B 
db42a68b8f0d592edc297462c19a34caa068464b9a5f307e8e1c1fdacde95cd08c5af0f73fa55ed62217dee63940a1d02a4322c5edb2c2c8a568a7e04efd80e6
 SHA512 
2dad83835c87cdd79e2a08c19b5024b3fdf30d1d8cd14e480e434612e856ecc20a5404881ff81d5793d3e9d5808ee3d59ce920312a86a100535009da43d7d46b
 DIST rs-async-zip-c909fda63fcafe4af496a07bfda28a5aae97e58d.gh.tar.gz 51763 
BLAKE2B 
59d053bc6692014d884a9247dea1b57a8789469ba2abbcc92ec21bb0022cbd74874afc463082156ab697aa6c80635019857a5d7e2dc150274e8b04d720518c36
 SHA512 
3a309566f4925b02496fcf19bc2865968edf6fb65082ca4079d2cee79e6b0353a1910c079f2afe656da0d0f6ddde5102052a221ea35a7dabc6d690a11218b20a

diff --git a/dev-util/pixi/pixi-0.50.2.ebuild b/dev-util/pixi/pixi-0.50.2.ebuild
new file mode 100644
index 000000000000..5919b1a0d758
--- /dev/null
+++ b/dev-util/pixi/pixi-0.50.2.ebuild
@@ -0,0 +1,135 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+"
+
+declare -A GIT_CRATES=(
+       
[async_zip]='https://github.com/charliermarsh/rs-async-zip;c909fda63fcafe4af496a07bfda28a5aae97e58d;rs-async-zip-%commit%'
+       
[pubgrub]='https://github.com/astral-sh/pubgrub;06ec5a5f59ffaeb6cf5079c6cb184467da06c9db;pubgrub-%commit%'
+       
[reqwest-middleware]='https://github.com/astral-sh/reqwest-middleware;ad8b9d332d1773fde8b4cd008486de5973e0a3f8;reqwest-middleware-%commit%/reqwest-middleware'
+       
[reqwest-retry]='https://github.com/astral-sh/reqwest-middleware;ad8b9d332d1773fde8b4cd008486de5973e0a3f8;reqwest-middleware-%commit%/reqwest-retry'
+       
[tl]='https://github.com/astral-sh/tl;6e25b2ee2513d75385101a8ff9f591ef51f314ec;tl-%commit%'
+       
[uv-auth]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-auth'
+       
[uv-build-backend]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-build-backend'
+       
[uv-build-frontend]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-build-frontend'
+       
[uv-cache-info]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-cache-info'
+       
[uv-cache-key]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-cache-key'
+       
[uv-cache]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-cache'
+       
[uv-client]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-client'
+       
[uv-configuration]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-configuration'
+       
[uv-console]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-console'
+       
[uv-dirs]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-dirs'
+       
[uv-dispatch]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-dispatch'
+       
[uv-distribution-filename]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-distribution-filename'
+       
[uv-distribution-types]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-distribution-types'
+       
[uv-distribution]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-distribution'
+       
[uv-extract]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-extract'
+       
[uv-fs]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-fs'
+       
[uv-git-types]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-git-types'
+       
[uv-git]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-git'
+       
[uv-globfilter]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-globfilter'
+       
[uv-install-wheel]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-install-wheel'
+       
[uv-installer]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-installer'
+       
[uv-macros]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-macros'
+       
[uv-metadata]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-metadata'
+       
[uv-normalize]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-normalize'
+       
[uv-once-map]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-once-map'
+       
[uv-options-metadata]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-options-metadata'
+       
[uv-pep440]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-pep440'
+       
[uv-pep508]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-pep508'
+       
[uv-platform-tags]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-platform-tags'
+       
[uv-pypi-types]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-pypi-types'
+       
[uv-python]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-python'
+       
[uv-redacted]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-redacted'
+       
[uv-requirements-txt]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-requirements-txt'
+       
[uv-requirements]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-requirements'
+       
[uv-resolver]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-resolver'
+       
[uv-shell]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-shell'
+       
[uv-small-str]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-small-str'
+       
[uv-state]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-state'
+       
[uv-static]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-static'
+       
[uv-torch]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-torch'
+       
[uv-trampoline-builder]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-trampoline-builder'
+       
[uv-types]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-types'
+       
[uv-version]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-version'
+       
[uv-virtualenv]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-virtualenv'
+       
[uv-warnings]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-warnings'
+       
[uv-workspace]='https://github.com/astral-sh/uv;2514203964449fcd3a5cac3320963aa57383e6b6;uv-%commit%/crates/uv-workspace'
+       
[version-ranges]='https://github.com/astral-sh/pubgrub;06ec5a5f59ffaeb6cf5079c6cb184467da06c9db;pubgrub-%commit%/version-ranges'
+)
+
+RUST_MIN_VER="1.85.0"
+
+inherit cargo
+
+CRATE_P=${P}
+DESCRIPTION="A package management and workflow tool"
+HOMEPAGE="
+       https://pixi.sh/
+       https://github.com/prefix-dev/pixi/
+"
+SRC_URI="
+       
https://github.com/prefix-dev/pixi/releases/download/v${PV}/source.tar.gz
+               -> ${P}.tar.gz
+       ${CARGO_CRATE_URIS}
+       
https://github.com/gentoo-crate-dist/pixi/releases/download/v${PV}/${P}-crates.tar.xz
+"
+
+LICENSE="BSD"
+# Dependent crate licenses
+LICENSE+="
+       0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD Boost-1.0
+       CDLA-Permissive-2.0 ISC MIT MPL-2.0 MPL-2.0 Unicode-3.0 ZLIB BZIP2
+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+rustls"
+
+RDEPEND="
+       app-arch/bzip2:=
+       app-arch/xz-utils:=
+       app-arch/zstd:=
+       !rustls? ( dev-libs/openssl:= )
+"
+
+src_prepare() {
+       default
+
+       # replace upstream crate substitution with our crate substitution, sigh
+       local pkg
+       for pkg in reqwest-middleware reqwest-retry version-ranges; do
+               local dep=$(grep "^${pkg}" "${ECARGO_HOME}"/config.toml || die)
+               sed -i -e "/\[patch\.crates-io\]/,\$s;^${pkg}.*$;${dep};" 
Cargo.toml || die
+       done
+
+}
+
+src_configure() {
+       local myfeatures=(
+               $(usex rustls rustls-tls native-tls)
+       )
+       cargo_src_configure --no-default-features
+
+       export ZSTD_SYS_USE_PKG_CONFIG=1
+
+       # bzip2-sys requires a pkg-config file
+       # https://github.com/alexcrichton/bzip2-rs/issues/104
+       mkdir "${T}/pkg-config" || die
+       export 
PKG_CONFIG_PATH=${T}/pkg-config${PKG_CONFIG_PATH+:${PKG_CONFIG_PATH}}
+       cat >> "${T}/pkg-config/bzip2.pc" <<-EOF || die
+               Name: bzip2
+               Version: 9999
+               Description:
+               Libs: -lbz2
+       EOF
+}
+
+src_test() {
+       # tests use it to test preserving envvars, apparently assuming
+       # it will be always set
+       local -x USER=${USER}
+       cargo_src_test --no-fail-fast
+}

Reply via email to